package com.fizz.business.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fizz.business.domain.PdiSetups;

/**
 * 生产计划的参数详情Mapper接口
 * 
 * @author Joshi
 * @date 2025-09-25
 */
public interface PdiSetupMapper extends BaseMapper<PdiSetups>
{
    /**
     * 查询生产计划的参数详情
     * 
     * @param id 生产计划的参数详情主键
     * @return 生产计划的参数详情
     */
    public PdiSetups selectPdiSetupById(Long id);

    /**
     * 查询生产计划的参数详情列表
     * 
     * @param pdiSetup 生产计划的参数详情
     * @return 生产计划的参数详情集合
     */
    public List<PdiSetups> selectPdiSetupList(PdiSetups pdiSetup);

    /**
     * 新增生产计划的参数详情
     * 
     * @param pdiSetup 生产计划的参数详情
     * @return 结果
     */
    public int insertPdiSetup(PdiSetups pdiSetup);

    /**
     * 修改生产计划的参数详情
     * 
     * @param pdiSetup 生产计划的参数详情
     * @return 结果
     */
    public int updatePdiSetup(PdiSetups pdiSetup);

    /**
     * 删除生产计划的参数详情
     * 
     * @param id 生产计划的参数详情主键
     * @return 结果
     */
    public int deletePdiSetupById(Long id);

    /**
     * 批量删除生产计划的参数详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdiSetupByIds(Long[] ids);
}
